=== debian/changelog ===
openblas (0.1alpha2.2-2) unstable; urgency=low

  * Disable dynamic arch on non amd64 / i386 archs (Closes: #631887)
  * Fix a FTBFS under hurd

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 26 Jul 2011 16:56:27 +0200

openblas (0.1alpha2.2-1) unstable; urgency=low

  * New upstream release (Closes: #631886)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 25 Jul 2011 10:46:44 +0200

openblas (0.1alpha2.1-1) unstable; urgency=low

  * New upstream release
  * gfortran added a build dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 29 Jun 2011 21:18:48 +0200

openblas (0.1alpha2-1) unstable; urgency=low

  * New upstream release
  * Good news: use DYNAMIC_ARCH=1 in the build option of OpenBLAS/Gotoblas
    to support multiple architecture. All kernel will be included in the library
    and dynamically switched the best architecture at run time.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 23 Jun 2011 10:44:43 +0200

openblas (0.1alpha1-4) experimental; urgency=low

  * Fix FTBFS under kfreebsd, sparc & hurd.
  * Limit architectures to amd64 i386 ia64 powerpc powerpcspe ppc64
    kfreebsd-i386 kfreebsd-amd64 hurd-i386 sparc
  * cherry-pick from upstream to fail build when the arch is not supported

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 30 May 2011 17:05:23 +0200

openblas (0.1alpha1-3) experimental; urgency=low

  * clean target now really cleans everything. Thanks to Ryan Lovett
    (Closes: #624253)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 04 May 2011 18:03:10 +0200

openblas (0.1alpha1-2) experimental; urgency=low

  * Update the README.Debian file
  * watch file removed for now (it was the one from atlas)
  * Fix a custom build issue (thanks to Ryan Lovett for the bug report)
  * Fix a FTBFS under sparc
  * Switch to dpkg-source 3.0 (quilt) format
  * Standards-Version updated to version 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 16 Apr 2011 15:23:22 +0200

openblas (0.1alpha1-1) experimental; urgency=low

  * Initial version (Closes: #605456)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Feb 2011 18:28:26 +0100
