=== debian/control ===
Source: openblas
Section: devel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), patch, cdbs, gfortran
Homepage: https://github.com/xianyi/OpenBLAS
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/openblas/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/openblas/

Package: libopenblas-base
Section: libs
Architecture: amd64 i386 ia64 powerpc powerpcspe ppc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libblas.so.3gf
Suggests: ${libs:Suggests}, liblapack3gf
Description: Optimized BLAS (linear algebra) library based on GotoBLAS2
 OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.
 .
 Unlike Atlas, OpenBLAS provides a multiple architecture library.
 .
 All kernel will be included in the library and dynamically switched
 the best architecutre at run time.
 .
 For more information on how to rebuild locally OpenBLAS, see the section:
 "Building Optimized OpenBLAS Packages on your ARCH" in README.Debian

Package: libopenblas-dev
Section: libdevel
Architecture: amd64 i386 ia64 powerpc powerpcspe ppc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 sparc
Depends: libopenblas-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libblas-3gf.so
Suggests: liblapack-dev
Description: Optimized BLAS (linear algebra) library based on GotoBLAS2
 OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.
 .
 Unlike Atlas, OpenBLAS provides a multiple architecture library.
 .
 All kernel will be included in the library and dynamically switched
 the best architecutre at run time.
 .
 This package includes the static libraries and symbolic links
 needed for program development.
