=== debian/changelog ===
openblas (0.1alpha2.3-1~exp1) experimental; urgency=low

  * New upstream release
    Fix FTBFS under KfreeBSD (Closes: #635552)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Sep 2011 15:24:24 +0200

openblas (0.1alpha2.2-4~exp1) experimental; urgency=low

  * Rename the reference libblas.so.3gf to libblas.so.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Sep 2011 20:24:39 +0200

openblas (0.1alpha2.2-3) unstable; urgency=low

  * Same player try again: the lib has different names with build with the
    dynamic arch or not.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 26 Jul 2011 18:40:04 +0200
