## openblas 0.1alpha2.5

=== Makefile ===
--- 
+++ 
@@ -56,6 +56,27 @@
 else
 	@echo " (Multi threaded; Max num-threads is $(NUM_THREADS))"
 endif
+
+ifeq ($(USE_OPENMP), 1)
+	@echo
+	@echo " Use OpenMP in the multithreading. Becasue of ignoring OPENBLAS_NUM_THREADS and GOTO_NUM_THREADS flags, "
+	@echo " you should use OMP_NUM_THREADS environment variable to control the number of threads."
+	@echo
+endif
+
+ifeq ($(OSNAME), Darwin)
+	@echo "WARNING: If you plan to use the dynamic library $(LIBDYNNAME), you must run:"
+	@echo
+	@echo "\"make PREFIX=/your_installation_path/ install\"."
+	@echo
+	@echo "(or set PREFIX in Makefile.rule and run make install."
+	@echo "If you want to move the .dylib to a new location later, make sure you change"
+	@echo "the internal name of the dylib with:"
+	@echo
+	@echo "install_name_tool -id /new/absolute/path/to/$(LIBDYNNAME) $(LIBDYNNAME)"
+endif
+	@echo
+	@echo "To install the library, you can run \"make PREFIX=/path/to/your/installation install\"."
 	@echo
 
 shared :
@@ -118,6 +139,13 @@
 #Save the config files for installation
 	cp Makefile.conf Makefile.conf_last
 	cp config.h config_last.h
+ifdef QUAD_PRECISION
+	echo "#define QUAD_PRECISION">> config_last.h
+endif
+ifeq ($(EXPRECISION), 1)
+	echo "#define EXPRECISION">> config_last.h
+endif
+## 
 ifdef DYNAMIC_ARCH
 	  $(MAKE) -C kernel commonlibs || exit 1
 	for d in $(DYNAMIC_CORE) ; \
@@ -174,47 +202,47 @@
 netlib : 
 
 else
-netlib : lapack-3.1.1 patch.for_lapack-3.1.1 lapack-3.1.1/make.inc
-ifndef NOFORTRAN
-	-@$(MAKE) -C lapack-3.1.1 lapacklib
-endif
-endif
-
-prof_lapack : lapack-3.1.1 lapack-3.1.1/make.inc
-	-@$(MAKE) -C lapack-3.1.1 lapack_prof
-
-lapack-3.1.1/make.inc :
-ifndef NOFORTRAN
-	-@echo "FORTRAN   = $(FC)" > lapack-3.1.1/make.inc
-	-@echo "OPTS      = $(FFLAGS)" >> lapack-3.1.1/make.inc
-	-@echo "POPTS     = $(FPFLAGS)" >> lapack-3.1.1/make.inc
-	-@echo "NOOPT     = $(FFLAGS) -O0" >> lapack-3.1.1/make.inc
-	-@echo "PNOOPT     = $(FPFLAGS) -O0" >> lapack-3.1.1/make.inc
-	-@echo "LOADOPTS  = $(FFLAGS) $(EXTRALIB)" >> lapack-3.1.1/make.inc
-	-@echo "ARCH      = $(AR)" >> lapack-3.1.1/make.inc
-	-@echo "RANLIB    = $(RANLIB)" >> lapack-3.1.1/make.inc
-	-@echo "LAPACKLIB = ../$(LIBNAME)" >> lapack-3.1.1/make.inc
-	-@echo "LAPACKLIB_P = ../$(LIBNAME_P)" >> lapack-3.1.1/make.inc
-	-@echo "SUFFIX     = $(SUFFIX)" >> lapack-3.1.1/make.inc
-	-@echo "PSUFFIX    = $(PSUFFIX)" >> lapack-3.1.1/make.inc
-#	-@echo "CEXTRALIB  = $(CEXTRALIB)" >> lapack-3.1.1/make.inc
-	-@cat  make.inc >> lapack-3.1.1/make.inc
-endif
-
-lapack-3.1.1 : lapack-3.1.1.tgz
-ifndef NOFORTRAN
-	@if test `$(MD5SUM) lapack-3.1.1.tgz | $(AWK) '{print $$1}'` = 00b21551a899bcfbaa7b8443e1faeef9; then \
+netlib : lapack-3.4.0 patch.for_lapack-3.4.0 lapack-3.4.0/make.inc
+ifndef NOFORTRAN
+	-@$(MAKE) -C lapack-3.4.0 lapacklib
+endif
+endif
+
+prof_lapack : lapack-3.4.0 lapack-3.4.0/make.inc
+	-@$(MAKE) -C lapack-3.4.0 lapack_prof
+
+lapack-3.4.0/make.inc :
+ifndef NOFORTRAN
+	-@echo "FORTRAN   = $(FC)" > lapack-3.4.0/make.inc
+	-@echo "OPTS      = $(FFLAGS)" >> lapack-3.4.0/make.inc
+	-@echo "POPTS     = $(FPFLAGS)" >> lapack-3.4.0/make.inc
+	-@echo "NOOPT     = $(FFLAGS) -O0" >> lapack-3.4.0/make.inc
+	-@echo "PNOOPT     = $(FPFLAGS) -O0" >> lapack-3.4.0/make.inc
+	-@echo "LOADOPTS  = $(FFLAGS) $(EXTRALIB)" >> lapack-3.4.0/make.inc
+	-@echo "ARCH      = $(AR)" >> lapack-3.4.0/make.inc
+	-@echo "RANLIB    = $(RANLIB)" >> lapack-3.4.0/make.inc
+	-@echo "LAPACKLIB = ../$(LIBNAME)" >> lapack-3.4.0/make.inc
+	-@echo "LAPACKLIB_P = ../$(LIBNAME_P)" >> lapack-3.4.0/make.inc
+	-@echo "SUFFIX     = $(SUFFIX)" >> lapack-3.4.0/make.inc
+	-@echo "PSUFFIX    = $(PSUFFIX)" >> lapack-3.4.0/make.inc
+#	-@echo "CEXTRALIB  = $(CEXTRALIB)" >> lapack-3.4.0/make.inc
+	-@cat  make.inc >> lapack-3.4.0/make.inc
+endif
+
+lapack-3.4.0 : lapack-3.4.0.tgz
+ifndef NOFORTRAN
+	@if test `$(MD5SUM) lapack-3.4.0.tgz | $(AWK) '{print $$1}'` = 02d5706ec03ba885fc246e5fa10d8c70; then \
 		echo $(TAR) zxf $< ;\
-		$(TAR) zxf $< && (cd lapack-3.1.1; $(PATCH) -p1 < ../patch.for_lapack-3.1.1) ;\
+		$(TAR) zxf $< && (cd lapack-3.4.0; $(PATCH) -p1 < ../patch.for_lapack-3.4.0) ;\
 	else \
-		echo "	lapack-3.1.1.tgz check sum is wrong (Please use orignal)." ;\
-		rm -rf lapack-3.1.1 ;\
+		echo "	lapack-3.4.0.tgz check sum is wrong (Please use orignal)." ;\
+		rm -rf lapack-3.4.0 ;\
 	fi
 endif
 
-lapack-3.1.1.tgz :
-ifndef NOFORTRAN
-	-wget http://www.netlib.org/lapack/lapack-3.1.1.tgz
+lapack-3.4.0.tgz :
+ifndef NOFORTRAN
+	-wget http://www.netlib.org/lapack/lapack-3.4.0.tgz
 endif
 
 large.tgz : 
@@ -227,21 +255,21 @@
 	-wget http://www.netlib.org/lapack/timing/timing.tgz
 endif
 
-lapack-timing : lapack-3.1.1 large.tgz timing.tgz
-ifndef NOFORTRAN
-	(cd lapack-3.1.1; $(TAR) zxf ../timing.tgz TIMING)
-	(cd lapack-3.1.1/TIMING; $(TAR) zxf ../../large.tgz )
-	make -C lapack-3.1.1 tmglib
-	make -C lapack-3.1.1/TIMING
+lapack-timing : lapack-3.4.0 large.tgz timing.tgz
+ifndef NOFORTRAN
+	(cd lapack-3.4.0; $(TAR) zxf ../timing.tgz TIMING)
+	(cd lapack-3.4.0/TIMING; $(TAR) zxf ../../large.tgz )
+	make -C lapack-3.4.0 tmglib
+	make -C lapack-3.4.0/TIMING
 endif
 
 
 lapack-test :
-	$(MAKE) -C lapack-3.1.1 tmglib
-	$(MAKE) -C lapack-3.1.1/TESTING xeigtstc xeigtstd xeigtsts xeigtstz xlintstc xlintstd xlintstds xlintsts xlintstz xlintstzc
-	@rm	-f lapack-3.1.1/TESTING/*.out
-	$(MAKE) -j 1 -C lapack-3.1.1/TESTING
-	$(GREP) failed lapack-3.1.1/TESTING/*.out
+	$(MAKE) -C lapack-3.4.0 tmglib
+	$(MAKE) -C lapack-3.4.0/TESTING xeigtstc xeigtstd xeigtsts xeigtstz xlintstc xlintstd xlintstds xlintsts xlintstz xlintstzc
+	@rm	-f lapack-3.4.0/TESTING/*.out
+	$(MAKE) -j 1 -C lapack-3.4.0/TESTING
+	$(GREP) failed lapack-3.4.0/TESTING/*.out
 
 dummy :
 
@@ -259,9 +287,9 @@
 #endif
 	@rm -f *.$(LIBSUFFIX) *.so *~ *.exe getarch getarch_2nd *.dll *.lib *.$(SUFFIX) *.dwf libopenblas.$(LIBSUFFIX) libopenblas_p.$(LIBSUFFIX) *.lnk myconfig.h
 	@rm -f Makefile.conf config.h Makefile_kernel.conf config_kernel.h st* *.dylib
-	@if test -d lapack-3.1.1; then \
-	echo deleting lapack-3.1.1; \
-	rm -rf lapack-3.1.1 ;\
+	@if test -d lapack-3.4.0; then \
+	echo deleting lapack-3.4.0; \
+	rm -rf lapack-3.4.0 ;\
 	fi
 	@rm -f *.grd Makefile.conf_last config_last.h
 	@echo Done.
