=== debian/changelog ===
openblas (0.1alpha2.5-1~exp1) experimental; urgency=low

  * New upstream release
  * Fix an upgrade issue (Closes: #659786)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Feb 2012 15:50:41 +0100
