=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Section: libs
 Architecture: amd64 i386 ia64 powerpc powerpcspe ppc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libblas.so.3gf
-Suggests: ${libs:Suggests}, liblapack3gf
+Provides: libblas.so.3
+Suggests: ${libs:Suggests}, liblapack3
 Description: Optimized BLAS (linear algebra) library based on GotoBLAS2
  OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.
  .
@@ -30,7 +30,7 @@
 Section: libdevel
 Architecture: amd64 i386 ia64 powerpc powerpcspe ppc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 sparc
 Depends: libopenblas-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: libblas-3gf.so
+Provides: libblas.so
 Suggests: liblapack-dev
 Description: Optimized BLAS (linear algebra) library based on GotoBLAS2
  OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.
