=== debian/watch ===
version=3
opts=filenamemangle=s|.*/v(.*)|openblas_$1.orig.tar.gz| \
http://github.com/xianyi/OpenBLAS/tags .*/tarball/v(.*)
